/*
 * 推送模块相关代码 
 * delan@itwlw.com 2015.7
 */
(function(w){
	
function listenPush(){
	message = document.getElementById("message");
	// 监听点击消息事件
	plus.push.addEventListener( "click", function( msg ) {
		// 判断是从本地创建还是离线推送的消息
		switch( msg.payload ) {
			case "LocalMSG":
				console.log( "点击本地创建消息启动：" );
			break;
			default:
				console.log( "点击离线推送消息启动：");
			break;
		}
		// 提示点击的内容
		plus.nativeUI.alert( msg.content );
		// 处理其它数据
		logoutPushMsg( msg );
	}, false );
	
	// 监听在线消息事件
	plus.push.addEventListener( "receive", function( msg ) {
		if ( msg.aps ) {  // Apple APNS message
			console.log( "接收到在线APNS消息：" );
		} else {
			console.log( "接收到在线透传消息：" );
		}
		logoutPushMsg( msg );
	}, false );
}



/**
 * 日志输入推送消息内容
 */
function logoutPushMsg( msg ) {
	console.log( "title: "+msg.title );
	console.log( "content: "+msg.content );
	if ( msg.payload ) {
		if ( typeof(msg.payload)=="string" ) {
			console.log( "payload(String): "+msg.payload );
			plus.runtime.openURL( msg.payload );
		} else {
			console.log( "payload(JSON): "+JSON.stringify(msg.payload) );
		}
	} else {
		console.log( "payload: undefined" );
	}
	if ( msg.aps ) {
		console.log( "aps: "+JSON.stringify(msg.aps) );
	}
}

/**
 * 获取本地推送标识信息
 */
function getPushInfo(){
	var info = plus.push.getClientInfo();
	console.log( "获取客户端推送标识信息：" );
	console.log( "token: "+info.token );
	console.log( "clientid: "+info.clientid );
	console.log( "appid: "+info.appid );
	console.log( "appkey: "+info.appkey );
}

/**
 * 本地创建一条推动消息
 */
function createLocalPushMsg(){
	var options = {cover:false};
	var str = ''; 
	str += ": 欢迎使用Html5 Plus创建本地消息！";
	plus.push.createMessage( str, "LocalMSG", options );
	console.log( "创建本地消息成功！" );
	console.log( "请到系统消息中心查看！" );
	if(plus.os.name=="iOS"){
		console.log('*如果无法创建消息，请到"设置"->"通知"中配置应用在通知中心显示!');
	}
}

if ( w.plus ) {
	listenPush();
} else {
	document.addEventListener("plusready", listenPush, false );
}
	
})(window);

